%define oname	libva-vdpau-driver

Summary:	VA-API driver for VDPAU interface
Name:		vaapi-driver-vdpau
Version:	0.7.4
Release:	%mkrel 2
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/
Source:		http://www.freedesktop.org/software/vaapi/releases/libva-vdpau-driver/%{oname}-%{version}.tar.xz
Patch0:		fix-compiling.diff
Patch1:		no-H264-buffer-type.patch
Patch2:		libva-vdpau-driver-0.7.4-libvdpau0.8.patch
BuildRequires:	%{_lib}va-devel
BuildRequires:	%{_lib}vdpau-devel
Provides:	%oname

%description
VDPAU driver backend for VA API, a video acceleration API.

%prep
%setup -q -n %oname-%version
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/dri/*.la

%files
%doc AUTHORS NEWS
%{_libdir}/dri/*_drv_video.so


%changelog
* Sat Nov 19 2016 adrianomorselli <adrianomorselli> 0.7.4-2uplos2016
- rebuild

* Sat Jun 11 2016 bb <bb> 0.7.4-2pclos2016
- try different patchset
 
* Mon May 11 2015 bb <bb> 0.7.4-1pclos2015
- import into pclos
